from pydantic import BaseModel
from typing import Dict
from datetime import date, datetime

from src.reviewsense_ecom.model.FeatureSentiment import FeatureSentiment


class ProductReview(BaseModel):
    product_id: str
    review_id: str
    review: str
    product_rating: float
    review_date: datetime
    features_analysis: Dict[str, FeatureSentiment]  # Ensure it's Dict[str, FeatureSentiment]
